MODULE TestPixmap EXPORTS Main;

IMPORT
   Bundle,
   FileWr,
   FormsVBT,
   Resources,
   Rsrc,
   Trestle,
   Wr;

<*FATAL ANY*>

VAR
   v: FormsVBT.T := NIL;
   rsrcPath: Rsrc.Path := NIL;
   fw: FileWr.T := NIL;

BEGIN
   (* make a copy of the pixmap file *)
   fw := FileWr.Open("TestPixmap.ppm");
   WITH b = Resources.Get()
   DO
      Wr.PutText(fw, Bundle.Get(b, "m3Power.ppm"));
   END; (* with *)
   Wr.Close(fw);

   (* build the VBT containing the image *)
   v := NEW(FormsVBT.T);
   rsrcPath := Rsrc.BuildPath(Resources.Get());
   EVAL v.initFromRsrc("TestForm.fv", rsrcPath, raw := TRUE);

   (* put up the window *)
   Trestle.Install(v);
   Trestle.AwaitDelete(v);
END TestPixmap.
